Bug 331556 - Path selection tool shows line style and thickness options
Summary: Path selection tool shows line style and thickness options
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: 2.8 Beta
Platform: unspecified Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-26 22:54 UTC by vanyossi
Modified: 2014-04-01 09:37 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vanyossi 2014-02-26 22:54:11 UTC
I tried to get different results moving the line thickness, style and colors, but it seems the resulting selection is the same regardless of the line style.

I get the impression this GUI features are not used for selection and probably it's best to get them hidden/removed.

Reproducible: Always
Comment 1 Halla Rempt 2014-02-27 09:04:55 UTC
Yes... I can confirm. But I doubt we can actually fix this.
Comment 2 Sven Langkamp 2014-03-30 14:51:15 UTC
Git commit 0ac2128538b1c54e6dc70a7f239060e0b7e89c43 by Sven Langkamp.
Committed on 30/03/2014 at 14:47.
Pushed by langkamp into branch 'master'.

hide stroke widget in path tool

M  +12   -0    krita/plugins/tools/defaulttools/kis_tool_path.cc
M  +3    -0    krita/plugins/tools/defaulttools/kis_tool_path.h

http://commits.kde.org/calligra/0ac2128538b1c54e6dc70a7f239060e0b7e89c43
Comment 3 Halla Rempt 2014-04-01 09:37:25 UTC
Git commit 7b782fe130d7b8332359d59809eed3dbbb581094 by Boudewijn Rempt, on behalf of Sven Langkamp.
Committed on 30/03/2014 at 14:47.
Pushed by rempt into branch 'calligra/2.8'.

hide stroke widget in path tool

M  +12   -0    krita/plugins/tools/defaulttools/kis_tool_path.cc
M  +3    -0    krita/plugins/tools/defaulttools/kis_tool_path.h

http://commits.kde.org/calligra/7b782fe130d7b8332359d59809eed3dbbb581094